Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::SequencePushSupplier Interface Reference

Defines the interface used by push-style suppliers that provide event batches. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::SequencePushSupplier:

[legend]
Collaboration diagram for CosNotifyComm::SequencePushSupplier:

[legend]
List of all members.

## Public Methods
void | disconnect_sequence_push_supplier ()
| The peer has disconnected.

## Detailed Description

Defines the interface used by push-style suppliers that provide event batches.

Push-style suppliers actively generate events for the Notification Service. This particular interface can provide multiple events simultaneously.

## Member Function Documentation

void CosNotifyComm::SequencePushSupplier::disconnect_sequence_push_supplier | ( |  | ) |

| The peer has disconnected. This operation is invoked by the consumer peer when it wishes to disconnect. The consumer can safely assume that no more events will follow this request.

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl